# role_ansible

Rôle de déploiement d'ansible.

## Variables

Afin de ne pas rentrer en conflit avec les variables d'ansible, le variable son préfixer par elbisna soit ansible écrit en partant de la fin.

### elbisna_prerequisites

Liste des paquets pré-requis.

<span style="text-decoration: underline">Valeur par défaut:</span> `["python3-pip"]`

### elbisna_pip_packages

Liste des paquets pip nécessaire.

<span style="text-decoration: underline">Valeur par défaut:</span> `["ansible", "netaddr"]`

### elbisna_vault_passwd

Contient le mot de passe vault.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### elbisna_user

Utilisateur de déploiement d'ansible.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### elbisna_group

Groupe de déploiement d'ansible.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

## Exemple d'utilisation

### inventory.yml


```yaml
---

all:
  hosts:
    host1.ykn.local:
```

### group_vars/all.yml

```yaml
---

elbisna_vault_passwd: !vault |
  $ANSIBLE_VAULT;1.1;AES256
  31383335306534333462613832646537376232386465643262306134653931383863336133306561
  3964303562336532393334343530636161343366656539620a326337376232623163323439303735
  39656634356366306361366537663939653336323432646335656230663133393039343638363536
  6565336166666261350a343937373733396131623962303237316661666539653432326136306239
  3538
```

### playbook.yml

```yaml
---

- hosts: 'all'
  roles:
    - name: ansible
```

